Search results

  1. Q

    Selling (1.8 - 1.16) ⚡HYP1XEL SKYBLOCK SETUP⚡ NEW: MINIONS, TELEPORT PADS, TALISMANS, BAGS & MORE!

    To run this setup your server will have to have; Spigot 1.8.8 as main core. Java 8 2 or more GB of RAM This setup requires one premium plugin, .jar of which is not included for obvious reasons, so you will have to purchase it, MC-Market of the premium dependency...